import request from '@/utils/request'

// 查询LineOrderTemplateLogs列表
export function listLineOrderTemplateLogs(query) {
  return request({
    url: '/api/v1/line-order-template-logs',
    method: 'get',
    params: query
  })
}

// 查询LineOrderTemplateLogs详细
export function getLineOrderTemplateLogs(id) {
  return request({
    url: '/api/v1/line-order-template-logs/' + id,
    method: 'get'
  })
}

// 新增LineOrderTemplateLogs
export function addLineOrderTemplateLogs(data) {
  return request({
    url: '/api/v1/line-order-template-logs',
    method: 'post',
    data: data
  })
}

// 修改LineOrderTemplateLogs
export function updateLineOrderTemplateLogs(data) {
  return request({
    url: '/api/v1/line-order-template-logs/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除LineOrderTemplateLogs
export function delLineOrderTemplateLogs(data) {
  return request({
    url: '/api/v1/line-order-template-logs',
    method: 'delete',
    data: data
  })
}

